/****************************************************************************************
 * KF8A系列单片机	KF8A100EON_DEMO	开发板演示程序
 * 标    题: 通用全双工异步串口实验
 * 项目名: 01- UART_Test
 * 开发环境：ChipON IDE
 * 版          本     ：V1.0 (2019/07/23)
 * 作 者: 上海芯旺微电子有限公司
 * 功能简述: 将串口接收到的数据,以0x0D,0x0A结尾，返回给PC
 * 硬件说明： UART引脚为P20、P21，接到TTL-USB芯片，插入USB线与PC通信
 * 跳线接法： 单片机供电跳帽选择为3.3V或5V
 ****************************************************************************************/
#include<KF8A100EON.h>
#include "include.h"

unsigned char Rev_Flag,Rev_StopFlag;
unsigned char Rev_count;

void Sys_Init(void)
{
	OSCCTL = 0x60;		//时钟配置为内部16M
	TR0=0;
	TR1=0;
	TR2=0;
	TR3=0;
	P0=0;
	P1=0;
	P2=0;
	P3=0;
}

void main()
{
	unsigned char i;
	Sys_Init();
	UART_Init();
	while(1)
	{
		if(Rev_Flag == 1)
		{
			Rev_Flag=0;
			for(i=0;i<Rev_count;i++)
			{
				UART_SendBuf(UART_BUF[i]);
			}
			Rev_count=0;
		}
	}

}


//中断函数0:0X04入口地址
void int_fun0() __interrupt (0)
{
	if(RCIF)
	{
		UART_BUF[Rev_count]=RXSDR;  	//清零 RXIF
		if(UART_BUF[Rev_count] == 0x0D)
		{
			Rev_StopFlag=1;
		}
		else
		{
			if(Rev_StopFlag)
			{
				if(UART_BUF[Rev_count] == 0x0A)
					Rev_Flag=1;
				else Rev_StopFlag=0;
			}
			else
			{
				Rev_StopFlag=0;
			}
		}
		Rev_count++;
	}
}


//中断函数1:0x14入口地址
void int_fun1() __interrupt (1)
{

}
